net.sf.jasperreports.data.xml

## Class RemoteXmlDataAdapterImpl

- java.lang.Object
- - net.sf.jasperreports.data.AbstractDataAdapter
  - - net.sf.jasperreports.data.xml.XmlDataAdapterImpl
    - - net.sf.jasperreports.data.xml.RemoteXmlDataAdapterImpl

- All Implemented Interfaces:
    DataAdapter, RemoteXmlDataAdapter, XmlDataAdapter

      public class RemoteXmlDataAdapterImpl
      extends XmlDataAdapterImpl
      implements RemoteXmlDataAdapter

  Version:
    $Id: RemoteXmlDataAdapterImpl.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoteXmlDataAdapterImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isUseConnection()`

    - ### Methods inherited from class net.sf.jasperreports.data.xml.XmlDataAdapterImpl

      `getDatePattern, getFileName, getLocale, getNumberPattern, getSelectExpression, getTimeZone, isNamespaceAware, setDatePattern, setFileName, setLocale, setNamespaceAware, setNumberPattern, setSelectExpression, setTimeZone, setUseConnection`

    - ### Methods inherited from class net.sf.jasperreports.data.AbstractDataAdapter

      `getName, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.data.xml.XmlDataAdapter

      `getDatePattern, getFileName, getLocale, getNumberPattern, getSelectExpression, getTimeZone, isNamespaceAware, setDatePattern, setFileName, setLocale, setNumberPattern, setSelectExpression, setTimeZone, setUseConnection`

    - ### Methods inherited from interface net.sf.jasperreports.data.DataAdapter

      `getName, setName`

- - ### Constructor Detail

    - #### RemoteXmlDataAdapterImpl

          public RemoteXmlDataAdapterImpl()

  - ### Method Detail

    - #### isUseConnection

          public boolean isUseConnection()

      Specified by:
        `isUseConnection` in interface `XmlDataAdapter`
      Overrides:
        `isUseConnection` in class `XmlDataAdapterImpl`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com